<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:mvc="http://www.springframework.org/schema/mvc"
	xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
        http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc-3.0.xsd
        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-3.0.xsd
        http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.0.xsd">

	<mvc:annotation-driven />

	<context:component-scan base-package="org.ow2.weblab.portlet.controller" />
	<context:component-scan base-package="org.ow2.weblab.portlet.service" />
	<context:component-scan base-package="org.ow2.weblab.portlet.bean.conf" />

	<bean class="org.springframework.web.servlet.mvc.annotation.DefaultAnnotationHandlerMapping" />
	<bean class="org.springframework.web.portlet.mvc.annotation.AnnotationMethodHandlerAdapter" />

	<bean id="viewResolver" class="org.springframework.web.servlet.view.InternalResourceViewResolver">
		<property name="viewClass" value="org.springframework.web.servlet.view.JstlView" />
		<property name="prefix" value="/jsp/" />
		<property name="suffix" value=".jsp" />
	</bean>

	<bean class="org.ow2.weblab.portlet.controller.DocumentViewerController">
		<constructor-arg index="0" type="java.lang.String" value="#{systemProperties['kdb.portlet.down']}" />
		<constructor-arg index="1" type="org.ow2.weblab.portlet.utils.IUrlMaker" ref="defaultUrlMaker" />
	</bean>

	<bean id="defaultUrlMaker" class="org.ow2.weblab.portlet.utils.DefaultUrlMaker" />


	<import resource="legend.xml" />
	<import resource="business-service-configuration.xml" />
	<import resource="media-viewer-configuration.xml" />

	<bean id="userService" class="org.ow2.weblab.portlet.service.UserService">
		<constructor-arg name="adminRoles">
			<list>
				<value>WebLab administrator</value>
				<value>WebLab advanced user</value>
				<value>Administrator</value>
			</list>
		</constructor-arg>
	</bean>

</beans>